---
schema_version: "1"
id: 72f502bfb3d81d3605feffe3e8252ceb521ea98b938a097b4049929f58e4ba35
title: 外部データソース設定の保存時に「未承認」または「ログイン中に問題が発生しました」エラーが発生する
collection: mulesoft
version: current
locale: ja-jp
portal_url: https://docs.salesforce.com/mulesoft/current/ja-jp/api-community-manager/troubleshooting-not-authorized-or-problem-logging-in-when-saving-external-data-source-configuration.md
canonical_url: https://docs.mulesoft.com/jp/api-community-manager/troubleshooting-not-authorized-or-problem-logging-in-when-saving-external-data-source-configuration
source_site: docs.mulesoft.com
content_type: documentation
content_hash: 579ec4f9085d1a5256dee9aa585f52dcb30492da1ad2cee16d0d004c7cc39967
description: MuleSoft Documentation Site
latest: true
---
# 外部データソース設定の保存時に「未承認」または「ログイン中に問題が発生しました」エラーが発生する

外部データソース設定を保存するときに「未承認」または「ログイン中に問題が発生しました - No\_Oauth\_State: State was not sent back (状態が返されませんでした)」のいずれかのエラーが表示される場合、次の手順に従います。

1. 接続アプリケーションドメインが Salesforce 組織で適切なドメインであることを確認します。
2. Salesforce の \[設定\] を開きます。
3. \[認証プロバイダー\] 設定を開きます。
4. Anypoint Platform 認証プロバイダーの名前をクリックし、Anypoint Platform の正しい接続アプリケーションからの設定があることを確認します。
    
    1. \[コンシューマー鍵\] と \[コンシューマーの秘密\] が Anypoint Platform の接続アプリケーションと一致することを確認します。
    2. \[承認エンドポイント URL\]、\[トークンエンドポイント URL\]、\[デフォルトの範囲\] が​[「手動セットアップ」](https://docs.mulesoft.com/jp/api-community-manager/manual-setup)​の説明に従って設定されていることを確認します。
    3. \[テスト専用初期化 URL\]、\[OAuth 専用初期化 URL\]、\[コールバック URL\]、\[シングルログアウト URL\] が Salesforce 組織の正しいドメインと一致することを確認します。
    4. Anypoint Platform の接続アプリケーションは、​`redirect_uri`​ 設定のドメインが Salesforce 組織と同じドメインであり、クライアント ID とクライアントシークレットが Salesforce のそれらの値と一致し、スコープが正しいことを確認します。

接続アプリケーションの詳細を表示するには、UI を調べるか、次の API コールを実行します。

curl -X GET 'https://anypoint.mulesoft.com/accounts/api/connectedApplications/' \\
   -H "Content-Type: application/json" \\
   -H "authorization: bearer XXXXXXXXX"

このコールは次のような応答を返します。

{
"client\_id": "5fafXXXXXXXXXXXXXXXXXXXXXXXX29c9",
"client\_secret": "9509XXXXXXXXXXXXXXXXXXXXXXXXC10E",
"client\_name": "ACM Integration Client",
"redirect\_uris": \[
  "https://YourOrgDomain.my.salesforce.com/services/authcallback/Anypoint"
\],
"grant\_types": \[
  "authorization\_code",
  "refresh\_token"
\],
"public\_keys": \[\],
"scopes": \[
  "offline\_access",
  "full"
\],
"enabled": true,
"owner\_org\_id": "f377XXXX-XXXX-XXXX-XXXX-XXXXXXXX9d08",
"as\_id": "anypoint"
}

「YourOrgDomain」は組織のドメインに置き換えられます。